LibreOffice: XMouseMotionHandler Interface Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Public Member Functions | List of all members
XMouseMotionHandler Interface Referencepublished

makes it possible to receive mouse motion events on a window. More...

`import"XMouseMotionHandler.idl";`

Inheritance diagram for XMouseMotionHandler:

## Public Member Functions
boolean | mouseDragged ([in] com::sun::star::awt::MouseEvent e)
| is invoked when a mouse button is pressed on a window and then dragged. More...
boolean | mouseMoved ([in] com::sun::star::awt::MouseEvent e)
| is invoked when the mouse button has been moved on a window (with no buttons down). More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

makes it possible to receive mouse motion events on a window.

## Member Function Documentation

## ◆ mouseDragged()

boolean mouseDragged | ( | [in] com::sun::star::awt::MouseEvent | e | ) |

is invoked when a mouse button is pressed on a window and then dragged.

Mouse drag events will continue to be delivered to the window where the first event originated until the mouse button is released (regardless of whether the mouse position is within the bounds of the window).

Returns
  When `FALSE` is returned the other handlers are called and a following handling of the event by the broadcaster takes place. Otherwise, when `TRUE` is returned, no other handler will be called and the broadcaster will take no further actions regarding the event.

## ◆ mouseMoved()

boolean mouseMoved | ( | [in] com::sun::star::awt::MouseEvent | e | ) |

is invoked when the mouse button has been moved on a window (with no buttons down).

Returns
  When `FALSE` is returned the other handlers are called and a following handling of the event by the broadcaster takes place. Otherwise, when `TRUE` is returned, no other handler will be called and the broadcaster will take no further actions regarding the event.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XMouseMotionHandler.idl